src.m.Parking.Placement(3)

NAME
src.m.Parking.Placement - Representation d'un Placement de DreamPark.

SYNOPSIS

  Public Member Functions
def __init__
Constructeur Placement.
def id (self)
Propriete : id du Placement.
def place (self)
Propriete : place liée du Placement.
def voiture (self)
Propriete : voiture liée du Placement.
def end (self)
Fin du Placement (depart voiture)
def __str__ (self)
Representation du Placement en chaine.

  Static Public Member Functions
def dureeMoyPlacement ()
Retourne la durée moyenne des Placement.

Detailed Description

Representation d'un Placement de DreamPark.

Constructor & Destructor Documentation

  def src.m.Parking.Placement.__init__ ( self, id, voiture = None, place = None)

Constructeur Placement.

Parameters:
    id Si None : creation du Placement dans la bd Sinon : tentative de récupération du Placement avec cet id dans la bd
    voiture Si creation : Voiture lié au Placement
    place Si creation : Place lié au Placement

Member Function Documentation

  def src.m.Parking.Placement.dureeMoyPlacement () [static]

Retourne la durée moyenne des Placement.

Returns:
    duree moyenne Placement

Author

Generated automatically by Doxygen for Dream Park from the source code.